<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('quiz_answers', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\Models\QuizQuestion::class, 'question_id')->constrained('quiz_questions')->cascadeOnDelete();
            $table->foreignIdFor(\App\Models\UserQuiz::class)->constrained('user_quizzes')->cascadeOnDelete();
            $table->foreignIdFor(\App\Models\QuestionLevel::class, 'question_level_id')->nullable()->constrained('question_levels')->cascadeOnDelete();
            $table->longText('answer_text');
            $table->boolean('is_correct')->default(false);
            $table->integer('taken_time')->default(0); // in seconds
            $table->integer('score')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('quiz_answers');
    }
};
